<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from Ctfrstft.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="Ctfrstft" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 27-September-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>Ctfrstft</refname><refpurpose>Short time Fourier transform</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [STFT,T,F] = Ctfrstft(X);
   [STFT,T,F] = Ctfrstft(X,T);
   [STFT,T,F] = Ctfrstft(X,T,N);
   [STFT,T,F] = Ctfrstft(X,T,N,H);
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X         :</term>
      <listitem><para> signal for which the STFT is computed</para></listitem></varlistentry>
   <varlistentry><term>T         :</term>
      <listitem><para> time instant(s)          (default : 1:length(X)).</para></listitem></varlistentry>
   <varlistentry><term>N         :</term>
      <listitem><para> number of frequency bins (default : length(X)).</para></listitem></varlistentry>
   <varlistentry><term>H         :</term>
      <listitem><para> frequency smoothing window (default : Hamming(N/4)).</para></listitem></varlistentry>
   <varlistentry><term>STFT      :</term>
      <listitem><para> Computed Short time Fourier Transform</para></listitem></varlistentry>
   <varlistentry><term>F         :</term>
      <listitem><para> Vector of frequency bins</para></listitem></varlistentry>
    <varlistentry><term>Example :</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>x = hilbert(sin(2*%pi*0.25*(1:</term>
      <listitem><para>128))+0.5*rand(1,128,'normal'));</para></listitem></varlistentry>
   <varlistentry><term>[stft,T,F] = Ctfrstft(x,1:</term>
      <listitem><para>128,128);</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="Ctfrsp">Ctfrsp</link></member>
   <member><link linkend="Ctfrrsp">Ctfrrsp</link></member>
   <member><link linkend="Cwindow">Cwindow</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - Sep 2010</member>
   <member>Emmanuel Roy - 2000</member>
   </simplelist>
</refsection>
</refentry>
